Bug 502269 - rpm ignoring Requires(post) ordering
rpm ignoring Requires(post) ordering
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 17:19 EDT by Orion Poplawski
Modified: 2009-08-04 20:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.7.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 20:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-05-22 17:19:49 EDT
Description of problem:

I'm creating 3 rpms from a single spec.  Main package (idl) has:

Requires(post): idl-common = %{version}-%{release}

idl-common is a noarch sub-package.

When I install:

# rpm -Uvh idl-common-7.1-1.noarch.rpm idl-workbench-7.1-1.i586.rpm idl-7.1-1.i586.rpm
warning: idl-common-7.1-1.noarch.rpm: Header V4 DSA signature: NOKEY, key ID d142dbfb
Preparing...                ########################################### [100%]
   1:idl                    ########################################### [ 33%]
/var/tmp/rpm-tmp.P4mrtw: line 3: ./install: No such file or directory
   2:idl-common             ########################################### [ 67%]
   3:idl-workbench          ########################################### [100%]

The "./install" script is in the idl-common package.

Version-Release number of selected component (if applicable):
rpm-4.7.0-1.fc11.i586

How reproducible:
3 for 3 so far.
Comment 1 Orion Poplawski 2009-05-22 17:30:21 EDT
Main package:

Requires:       idl-common = %{version}
Requires(pre): policycoreutils
# Post install script is in idl-common
Requires(post): idl-common = %{version}-%{release}

That was the problem, got rid of the plain Requires.  Seems like new behavior though.
Comment 2 Panu Matilainen 2009-06-03 10:09:49 EDT
This actually goes back all the way to 2004, just been masked by distros reverting the change in question... Fixed upstream now.
Comment 3 Bug Zapper 2009-06-09 12:23:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Update System 2009-07-24 01:16:51 EDT
rpm-4.7.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpm-4.7.1-1.fc11
Comment 5 Fedora Update System 2009-07-24 15:39:55 EDT
rpm-4.7.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7986
Comment 6 Fedora Update System 2009-08-04 20:40:32 EDT
rpm-4.7.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.